/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.77-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560,Arduino UNO Board 
****************************************************/
#include <Wire.h>
#include "er_oled.h"

/*
  == Hardware connection for 4 PIN module==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCL
  *4. SDA    ->    SDA

 == Hardware connection for 7 PIN module==
 Note:The module needs to be jumpered to an I2C interface.
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCL
  *4. SDA    ->    SDA
  *5. RES    ->    8 
  *6. DC     ->    GND 
  *7. CS     ->    GND  
*/

uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");
  Wire.begin();
  
  /* display an image of bitmap matrix */
  er_oled_begin();

}

void loop() {
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC1, 64, 128, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);  
  command(0xa7);//--set Negative display 
  delay(3000);
  command(0xa6);//--set normal display
  
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC2, 64, 128, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);
  
  command(0xa7);//--set Negative display 
  delay(3000); 
  command(0xa6);//--set normal display  
   
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 2, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(19, 2, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(38, 2, Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(52, 2, GPRS88, 8, 8, oled_buf); 

  er_oled_char(0, 22, '2' ,16, 1, oled_buf);
  er_oled_char(8, 22, '0', 16, 1, oled_buf);
  er_oled_char(16, 22, '2', 16, 1, oled_buf);
  er_oled_char(24, 22, '5', 16, 1, oled_buf);
  er_oled_char(32, 22, '0', 16, 1, oled_buf);
  er_oled_char(40, 22, '3', 16, 1, oled_buf);
  er_oled_char(48, 22, '1', 16, 1, oled_buf);
  er_oled_char(56, 22, '7', 16, 1, oled_buf);
  
  er_oled_string(0, 48, "EastRising", 12, 1, oled_buf);
  
  
  er_oled_bitmap(0, 66, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(19, 66, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(38, 66, Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(52, 66, GPRS88, 8, 8, oled_buf); 

  er_oled_char(0, 86, '1' ,16, 1, oled_buf);
  er_oled_char(8, 86, '2', 16, 1, oled_buf);
  er_oled_char(16,86, ':', 16, 1, oled_buf);
  er_oled_char(24, 86, '0', 16, 1, oled_buf);
  er_oled_char(32, 86, '6', 16, 1, oled_buf);
  er_oled_char(40, 86, ':', 16, 1, oled_buf);
  er_oled_char(48,86, '1', 16, 1, oled_buf);
  er_oled_char(56,86, '8', 16, 1, oled_buf);
  
  er_oled_string(0, 112, "buydisplay", 12, 1, oled_buf); 
  er_oled_display(oled_buf); 

    delay(3000);  
}

